package com.ruoyi.web.arap.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;

public class ArapOrderOpenVo {
    private Long id;
    private String docType;
    private String custNo;
    private String custName;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date docDate;
    private String docNo;
    private BigDecimal totalAmt;
    private BigDecimal openAmt;
    private BigDecimal offAmt;
    private BigDecimal offDiscAmt;
    private BigDecimal unoffAmt;
    private BigDecimal afterTaxDiscAmt;
    private BigDecimal recvArAmt;

    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }
    public String getDocType() { return docType; }
    public void setDocType(String docType) { this.docType = docType; }
    public String getCustNo() { return custNo; }
    public void setCustNo(String custNo) { this.custNo = custNo; }
    public String getCustName() { return custName; }
    public void setCustName(String custName) { this.custName = custName; }
    public Date getDocDate() { return docDate; }
    public void setDocDate(Date docDate) { this.docDate = docDate; }
    public String getDocNo() { return docNo; }
    public void setDocNo(String docNo) { this.docNo = docNo; }
    public BigDecimal getTotalAmt() { return totalAmt; }
    public void setTotalAmt(BigDecimal totalAmt) { this.totalAmt = totalAmt; }
    public BigDecimal getOpenAmt() { return openAmt; }
    public void setOpenAmt(BigDecimal openAmt) { this.openAmt = openAmt; }
    public BigDecimal getOffAmt() { return offAmt; }
    public void setOffAmt(BigDecimal offAmt) { this.offAmt = offAmt; }
    public BigDecimal getOffDiscAmt() { return offDiscAmt; }
    public void setOffDiscAmt(BigDecimal offDiscAmt) { this.offDiscAmt = offDiscAmt; }
    public BigDecimal getUnoffAmt() { return unoffAmt; }
    public void setUnoffAmt(BigDecimal unoffAmt) { this.unoffAmt = unoffAmt; }
    public BigDecimal getAfterTaxDiscAmt() { return afterTaxDiscAmt; }
    public void setAfterTaxDiscAmt(BigDecimal afterTaxDiscAmt) { this.afterTaxDiscAmt = afterTaxDiscAmt; }
    public BigDecimal getRecvArAmt() { return recvArAmt; }
    public void setRecvArAmt(BigDecimal recvArAmt) { this.recvArAmt = recvArAmt; }
}

